#ifndef ASTRO_H
#define ASTRO_H

#define VERSION_INFO "Smashteroid v1.11 (c)2001 NewCreature Design.\n"

/* game constants */
#define MAX_BIG_ASTEROIDS        10
#define MAX_BIG_ASTEROID_TYPES    5
#define MAX_SMALL_ASTEROIDS      10
#define MAX_SMALL_ASTEROID_TYPES  5
#define MAX_LASERS                2
#define MAX_SMALL_SPINNERS        2
#define MAX_BIG_SPINNERS          2
#define MAX_PULSARS               1
#define MAX_UFOS                  1
#define MAX_UFO_BOMBS            10
#define MAX_EXPLOSIONS           20
#define MAX_SHRAPNEL              5
#define MAX_SHRAPNEL_TYPES        2
#define MAX_LEVELS                9
#define LEVEL_X                 269
#define LEVEL_Y                 176
#define SCORE_X                  29
#define SCORE_Y                 176
#define LIVES_X                 159
#define LIVES_Y                 176
#define UFO_FIRE_FRAMES          40
#define GO_X 29
#define GO_Y 64
#define ASTRO_STATE_PLAYING        1
#define ASTRO_STATE_DYING          2
#define ASTRO_STATE_GAME_OVER      3
#define ASTRO_STATE_BOSS           4
#define ASTRO_STATE_LEVEL_COMPLETE 5
#define ASTRO_STATE_GAME_COMPLETE  6
#define ASTRO_STATE_TRY_QUIT       7
#define ASTRO_MODE_CLASSIC  0
#define ASTRO_MODE_SURVIVAL 1
#define ASTRO_MODE_DELUXE   2
#define FONT_WHITE 31
#define FONT_GREEN 51

#define DEATH_COLOR  94

#define PROB_TOTAL 2000

void astro_request_palette(PALETTE * pp);
void astro_vsync(void);
void astro_control(void);
void astro_move_sprites(void);
void astro_update(void);
void get_peak_score(void);
void update_level(void);
void deactivate_all(void);
void astro_death(void);
fix frandom(int range);
int chance(int prob, int total);
void astro_play_classic(void);
void astro_play_survival(void);
void astro_play_deluxe(void);

#endif
